%define upstream_name python-ntlm

Name:           %{upstream_name}
Version:        1.0.1
Release:        %mkrel 8
Summary:        NTLM support for python
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/python-ntlm
Source0:        https://pypi.python.org/packages/source/p/python-ntlm/python-ntlm-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

python-ntlm is probably most useful on platforms that are not Windows, since on
Windows it is possible to take advantage of platform-specific NTLM support.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

# dont install examples
rm -f %{buildroot}%{_bindir}/*

%files
%doc ntlm_examples
%{python_sitelib}/ntlm
%{python_sitelib}/python_ntlm-%{version}-*.egg-info


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-8.mga6
+ Revision: 942708
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 746440
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.1-6.mga5
+ Revision: 729159
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 688183
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 543861
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.1-2.mga4
+ Revision: 498970
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 guillomovitch <guillomovitch> 1.0.1-1.mga4
+ Revision: 468910
- imported package python-ntlm

